path: /build/build/asciinema-app-misc-2.4.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge app-misc/asciinema -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps app-misc/asciinema
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/asciinema && luet-portage --dir /pkgdir/asciinema
    app-misc/asciinema && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:85207a05040a92a396298b64ca7b765803197d75a229b2b29d342e2366ca5e2c
  package:
    name: asciinema
    version: 2.4.0
    category: app-misc
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Terminal session recorder
    uri:
    - https://asciinema.org/ https://pypi.org/project/asciinema/
    license: GPL-3+
    buildtimestamp: 2024-02-09 21:22:24.412986917 +0000 UTC m=+115.101314250
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: app-misc/asciinema
      kit: python-modules-kit
      original.package.name: app-misc/asciinema
      original.package.slot: "0"
      original.package.version: 2.4.0
    treedir: /build/packages
  package_dir: /pkgdir/asciinema
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1dc2abf924be1a4a32fd9db5a1c6f7c96cd868742e8e3cfdb7c2574162c1cf20
compressiontype: zstd
files:
- usr/bin/asciinema
- usr/lib/python-exec/python3.9/asciinema
- usr/lib/python3.9/site-packages/asciinema/__init__.py
- usr/lib/python3.9/site-packages/asciinema/__main__.py
- usr/lib/python3.9/site-packages/asciinema/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/__main__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/__main__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/__main__.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/api.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/api.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/api.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/async_worker.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/async_worker.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/async_worker.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/config.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/config.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/config.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/file_writer.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/file_writer.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/file_writer.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/http_adapter.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/http_adapter.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/http_adapter.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/notifier.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/notifier.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/notifier.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/player.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/player.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/player.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/pty_.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/pty_.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/pty_.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/recorder.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/recorder.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/recorder.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/tty_.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/tty_.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/tty_.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/urllib_http_adapter.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/urllib_http_adapter.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/__pycache__/urllib_http_adapter.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/api.py
- usr/lib/python3.9/site-packages/asciinema/asciicast/__init__.py
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/events.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/events.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/events.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/raw.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/raw.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/raw.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/v1.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/v1.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/v1.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/v2.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/v2.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/__pycache__/v2.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/asciicast/events.py
- usr/lib/python3.9/site-packages/asciinema/asciicast/raw.py
- usr/lib/python3.9/site-packages/asciinema/asciicast/v1.py
- usr/lib/python3.9/site-packages/asciinema/asciicast/v2.py
- usr/lib/python3.9/site-packages/asciinema/async_worker.py
- usr/lib/python3.9/site-packages/asciinema/commands/__init__.py
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/auth.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/auth.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/auth.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/cat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/cat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/cat.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/command.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/command.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/command.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/play.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/play.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/play.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/record.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/record.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/record.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/upload.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/upload.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/__pycache__/upload.cpython-39.pyc
- usr/lib/python3.9/site-packages/asciinema/commands/auth.py
- usr/lib/python3.9/site-packages/asciinema/commands/cat.py
- usr/lib/python3.9/site-packages/asciinema/commands/command.py
- usr/lib/python3.9/site-packages/asciinema/commands/play.py
- usr/lib/python3.9/site-packages/asciinema/commands/record.py
- usr/lib/python3.9/site-packages/asciinema/commands/upload.py
- usr/lib/python3.9/site-packages/asciinema/config.py
- usr/lib/python3.9/site-packages/asciinema/data/icon-256x256.png
- usr/lib/python3.9/site-packages/asciinema/file_writer.py
- usr/lib/python3.9/site-packages/asciinema/http_adapter.py
- usr/lib/python3.9/site-packages/asciinema/notifier.py
- usr/lib/python3.9/site-packages/asciinema/player.py
- usr/lib/python3.9/site-packages/asciinema/pty_.py
- usr/lib/python3.9/site-packages/asciinema/recorder.py
- usr/lib/python3.9/site-packages/asciinema/tty_.py
- usr/lib/python3.9/site-packages/asciinema/urllib_http_adapter.py
- usr/lib/python3.9/site-packages/asciinema-2.4.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/asciinema-2.4.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/asciinema-2.4.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/asciinema-2.4.0-py3.9.egg-info/entry_points.txt
- usr/lib/python3.9/site-packages/asciinema-2.4.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/asciinema-2.4.0-py3.9.egg-info/top_level.txt
- usr/share/doc/asciinema/CHANGELOG.md.bz2
- usr/share/doc/asciinema/CODE_OF_CONDUCT.md.bz2
- usr/share/doc/asciinema/CONTRIBUTING.md.bz2
- usr/share/doc/asciinema/README.md.bz2
- usr/share/doc/asciinema/asciicast-v1.md.bz2
- usr/share/doc/asciinema/asciicast-v2.md.bz2
- usr/share/doc/asciinema-2.4.0/README.md.bz2
- usr/share/man/man1/asciinema.1.bz2
- var/db/pkg/app-misc/asciinema-2.4.0/BDEPEND
- var/db/pkg/app-misc/asciinema-2.4.0/BUILD_TIME
- var/db/pkg/app-misc/asciinema-2.4.0/CATEGORY
- var/db/pkg/app-misc/asciinema-2.4.0/CBUILD
- var/db/pkg/app-misc/asciinema-2.4.0/CFLAGS
- var/db/pkg/app-misc/asciinema-2.4.0/CHOST
- var/db/pkg/app-misc/asciinema-2.4.0/CONTENTS
- var/db/pkg/app-misc/asciinema-2.4.0/COUNTER
- var/db/pkg/app-misc/asciinema-2.4.0/CXXFLAGS
- var/db/pkg/app-misc/asciinema-2.4.0/DEFINED_PHASES
- var/db/pkg/app-misc/asciinema-2.4.0/DESCRIPTION
- var/db/pkg/app-misc/asciinema-2.4.0/EAPI
- var/db/pkg/app-misc/asciinema-2.4.0/FEATURES
- var/db/pkg/app-misc/asciinema-2.4.0/HOMEPAGE
- var/db/pkg/app-misc/asciinema-2.4.0/INHERITED
- var/db/pkg/app-misc/asciinema-2.4.0/IUSE
- var/db/pkg/app-misc/asciinema-2.4.0/IUSE_EFFECTIVE
- var/db/pkg/app-misc/asciinema-2.4.0/KEYWORDS
- var/db/pkg/app-misc/asciinema-2.4.0/LDFLAGS
- var/db/pkg/app-misc/asciinema-2.4.0/LICENSE
- var/db/pkg/app-misc/asciinema-2.4.0/PF
- var/db/pkg/app-misc/asciinema-2.4.0/RDEPEND
- var/db/pkg/app-misc/asciinema-2.4.0/SIZE
- var/db/pkg/app-misc/asciinema-2.4.0/SLOT
- var/db/pkg/app-misc/asciinema-2.4.0/USE
- var/db/pkg/app-misc/asciinema-2.4.0/asciinema-2.4.0.ebuild
- var/db/pkg/app-misc/asciinema-2.4.0/environment.bz2
- var/db/pkg/app-misc/asciinema-2.4.0/repository
package_cacheimage: ""
runtime:
  name: asciinema
  version: 2.4.0
  category: app-misc
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Terminal session recorder
  uri:
  - https://asciinema.org/ https://pypi.org/project/asciinema/
  license: GPL-3+
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: app-misc/asciinema
    kit: python-modules-kit
    original.package.name: app-misc/asciinema
    original.package.slot: "0"
    original.package.version: 2.4.0
